body {
    background: #e2e8f0;
    font-family: Arial, Helvetica, sans-serif;
    padding-top: 35px !important;

}

/*/* CONTAINER */

.section-container {
    margin: 0 auto;
    padding: 20px;
    flex: 1;
    padding: 20px;

}


/* SECTION */
.section-section {
    margin-bottom: 50px;
}

.section-section h2 {
    margin-bottom: 15px;
}

/* 🔥 GRID - VEĽMI DÔLEŽITÉ */
.section-grid-5 {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 12px;
}

/* Tablet */
@media (max-width: 1200px) {
    .section-grid-5 {
        grid-template-columns: repeat(4, 1fr);
    }
}



/* 🔥 KARTA */
.section-card {
    width: 100%;
    border: 1px solid #e5e7eb;
    border-radius: 8px;
    overflow: hidden;
    background: #f9fafb;
    /* jemná sivá (lepšie na oči) */
    transition: all 0.2s ease;
    position: relative;
}

/* HOVER */
.section-card:hover {
    transform: translateY(-3px);
    box-shadow: 0 6px 15px rgba(0, 0, 0, 0.08);
    border-color: #263141;
}

/* OBRAZOK */
.section-card img {
    width: 100%;
    height: 160px;
    /* menší */
    object-fit: cover;
}

/* BODY */
.section-card-body {
    padding: 8px;
    text-align: center;
}

/* TITLE */
.section-card-title {
    font-size: 12px;
    font-weight: bold;
    text-align: center;
    margin: 6px 0;
    overflow: hidden;
}

/* PRICE */
.section-card-price {
    font-size: 13px;
    font-weight: bold;
    text-align: center;
}

/* INFO */
.section-auction-bids,
.section-auction-views,
.section-auction-watchers,
.section-auction-time {
    font-size: 11px;
    color: #6b7280;
    text-align: center;
}

/* BUTTON */
.section-card-btn {
    display: block;
    margin-top: 6px;
    background: #263141;
    color: white;
    text-align: center;
    padding: 5px;
    font-size: 12px;
    border-radius: 6px;
    text-decoration: none;
    transition: 0.2s;
}

.section-card-btn:hover {
    background: #263141;
}

/* LINK */
.section-card-link {
    display: block;
    color: inherit;
    text-decoration: none;
}

/* HEADER */
.section-section-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 15px;
}

/* ZOBRAZIŤ VIAC */
.section-more {
    display: flex;
    align-items: center;
    gap: 6px;
    text-decoration: none;
    color: #2563eb;
    font-size: 13px;
}

.section-more:hover {
    color: #1d4ed8;
}

/* PAGINATION */
.section-pagination {
    margin-top: 30px;
    display: flex;
    justify-content: center;
    gap: 8px;
    align-items: center;
}

.section-page-btn {
    padding: 6px 10px;
    background: #fff;
    border: 1px solid #ddd;
    text-decoration: none;
    color: #333;
    border-radius: 6px;
    font-size: 12px;
}

.section-page-btn:hover {
    background: linear-gradient(135deg, #0f172a, #1e3a8a);
    color: white;
}

.section-page-btn.active {
    background: linear-gradient(135deg, #0f172a, #1e3a8a);
    color: white;
}

/* 🔥 LAYOUT */

.section-layout {
    display: flex;
    max-width: 1500px;
    margin: 0 auto;
    align-items: flex-start;

}

/* SIDEBAR */
.section-sidebar {
    width: 200px;
    align-self: flex-start;
    padding: 15px;
    background: #f1f5f9;
    border-right: 1px solid #ddd;
    margin-top: 87px;
    margin-left: 15px;
}


/* CATEGORY */
.cat-item {
    margin-bottom: 10px;
}

.cat-title {
    font-weight: bold;
    cursor: pointer;
    padding: 8px;
    background: #e5e7eb;
    border-radius: 6px;
    text-decoration: none !important;
}

.subcats {
    display: none;
    margin-top: 5px;
    padding-left: 10px;
}

.subcats.open {
    display: block;
}

.subcats a {
    display: block;
    padding: 5px;
    font-size: 13px;
    text-decoration: none;
    color: #333;
}

.subcats a:hover {
    color: #263141;
}


.subcats a.active {
    color: #263141;
    font-weight: bold;
}

.cat-title {
    display: block;
    width: 100%;
    padding: 8px 10px;
    border-radius: 6px;
    text-decoration: none;
    color: inherit;
    text-align: center;
}

.cat-title a {
    text-decoration: none;
    color: inherit;
}

.cat-title.active {
    background: linear-gradient(135deg, #0f172a, #1e3a8a);
    color: white;
    font-weight: bold;
}

.subcats a.active {
    font-weight: bold;
    color: #2d6cdf;
}

/** MODAL KARTY IMG */

.image-modal {
    display: none;
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.85);
    z-index: 9999;
    justify-content: center;
    align-items: center;
}

.image-modal-content {
    position: relative;
}

#modalImage {
    max-width: 90vw;
    max-height: 85vh;
    border-radius: 10px;
}

.close-modal {
    position: absolute;
    top: -40px;
    right: 0;
    font-size: 35px;
    color: white;
    cursor: pointer;
}

.modal-prev,
.modal-next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 40px;
    color: white;
    cursor: pointer;
    padding: 10px;
    user-select: none;
}

.modal-prev {
    left: -60px;
}

.modal-next {
    right: -60px;
}



#imageCounter {
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    color: #fff;
    font-size: 22px;
    font-weight: 700;
    z-index: 9999;

    background: rgba(0, 0, 0, .6);
    padding: 8px 16px;
    border-radius: 20px;
}

.related-section {
    width: 100%;
    max-width: 1200px;
    margin: 40px auto;
    padding: 0 15px;
}

.related-title {
    margin-bottom: 20px;
    font-size: 24px;
    font-weight: 700;
}

#related-grid {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 12px;
}

#load-more-related {
    display: block;
    margin: 25px auto;
}



/* Tablet */
@media (max-width: 1200px) {
    #related-grid {
        grid-template-columns: repeat(5, 1fr);
    }
}